//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//  0.159576912161
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;
varying lowp vec2 v_blurTexCoords[4];
varying lowp float strengthVarying;

uniform sampler2D texcoord;

void main()
{
	gl_FragColor = vec4(0.0);

    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 0]) * strengthVarying;
    gl_FragColor += texture2D(texcoord, textureVarying         ) * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 1]) * strengthVarying;
	gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 2]) * strengthVarying;
	gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 3]) * strengthVarying;
}
