//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;

uniform sampler2D texcoord;
uniform sampler2D texcoordMask;

void main()
{
	lowp vec4 v4Work	= texture2D(texcoordMask, textureVarying);
    gl_FragColor    	= colorVarying * texture2D(texcoord, textureVarying );
	gl_FragColor.r		= gl_FragColor.r + v4Work.r;
	gl_FragColor.g		= gl_FragColor.g + v4Work.g;
	gl_FragColor.b		= gl_FragColor.b + v4Work.b;
	//gl_FragColor.a		= gl_FragColor.a * texture2D(texcoordMask, textureVarying).a;
	gl_FragColor.a		= gl_FragColor.a * (1.0 - texture2D(texcoordMask, textureVarying).a);
	//gl_FragColor.a		= gl_FragColor.a * (1.0 - v4Work.a);
}
