//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;
varying lowp vec2 v_blurTexCoords[14];
varying lowp float strengthVarying;

uniform sampler2D texcoord;

void main()
{
	gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 0])*0.0044299121055113265 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 1])*0.0215963866053 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 2])*0.0215963866053 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 3])*0.0776744219933 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 4])*0.0776744219933 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 5])*0.159576912161 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 6])*0.159576912161 * strengthVarying;
    gl_FragColor += texture2D(texcoord, textureVarying         )*0.159576912161 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 7])*0.159576912161 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 8])*0.159576912161 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[ 9])*0.0776744219933 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[10])*0.0776744219933 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[11])*0.0215963866053 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[12])*0.0215963866053 * strengthVarying;
    gl_FragColor += texture2D(texcoord, v_blurTexCoords[13])*0.0044299121055113265 * strengthVarying;
}
