//
//  Shader.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;

uniform sampler2D texcoord;

void main()
{
    gl_FragColor    = colorVarying * texture2D(texcoord, textureVarying );
	gl_FragColor.r	= gl_FragColor.r * gl_FragColor.r * 3.5;
	gl_FragColor.g	= gl_FragColor.g * gl_FragColor.g * 3.5;
	gl_FragColor.b	= gl_FragColor.b * gl_FragColor.b * 3.5;
}
