//
//  Shader_solid.fsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;

uniform sampler2D texcoord;

void main()
{
    gl_FragColor    = texture2D(texcoord, textureVarying );
	gl_FragColor.r 	= (gl_FragColor.r*gl_FragColor.r + colorVarying.r) * gl_FragColor.a;
	gl_FragColor.g	= (gl_FragColor.g*gl_FragColor.g + colorVarying.g) * gl_FragColor.a;
	gl_FragColor.b 	= (gl_FragColor.b*gl_FragColor.b + colorVarying.b) * gl_FragColor.a;
}
